package br.uem.din.architectureEvolution.helpers;

public class ModelHelperFactory {
	//TODO read from a config file
	private static String metaModelFilePath = "br/uem/din/architectureEvolution/resources/metamodel_poseidon4.xml";
	private static String transformationFilePath = "br/uem/din/architectureEvolution/resources/xmiTrans_poseidon4.xml";
	
	private static ModelHelper instance;
	
	public static ModelHelper getModelHelper() throws Exception{
		if (instance == null)
			instance =  new ModelHelper(metaModelFilePath, transformationFilePath);

		return instance;
	}
}
